# List of Error Codes
sub ErrorCode {
   my $code = shift;

   # Errors of connection between server and Agent
      if ($code == "1001") {
         print "** Error code ** \n 1001 : [ Unable to connect to GLPI server. Verify URL in tracker_agent.conf ]\n";
      } elsif ($code == "1002") {
         print "** Error code ** \n 1002 : [ Put correct right in server folder /glpi/files ]\n";
      } elsif ($code == "1003") {
         print "** Error code ** \n 1003 : [ Unable to get information from server. Verify URL and KEY in tracker_agent.conf ]\n";
      } elsif ($code == "1004") {
         print "** Error code ** \n 1004 : [ Unable to connect to GLPI server. Verify Apache is launched on server ]\n";
      } elsif ($code == "1005") {
         print "** Error code ** \n 1005 : [ Unable to connect to MySQL. Verify MySQL is launched on server ]\n";
      } elsif ($code == "1006") {
         print "** Error code ** \n 1006 : [ Unable to connect to Apache in SSL. Verify URL in tracker_agent.conf ]\n";
      } elsif ($code == "1007") {
         print "** Error code ** \n 1007 : [ Agent is locked by server. Verify configuration in Tracker server ]\n";
      } elsif ($code == "1008") {
         print "** Error code ** \n 1008 : [ SSL is required by server. Verify URL in tracker_agent.conf ]\n";
      }


   # prerequisites
      elsif ($code == "1051") {
         print "** Error code ** \n 1051 : [ Config file is missing ]\n";
      }

}

1;